Update a user contact
Updates a user contact owned by the calling user. subscriptionUserId and id are always taken from the caller's identity and the path, respectively; any values sent for them in the request body are ignored.
JWT token to authenticate the request.
In: header
API key, sent as a request header.
In: header
Path Parameters
GUID of the user contact. A non-GUID value returns a 400 using the standard error envelope.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for PUT /common/user/contact/{userContactId}/update.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/common/user/contact/497f6eca-6276-4993-bfeb-53cbbbba6f08/update" \ -H "Content-Type: application/json" \ -d '{ "name": "Jane Doe", "email": "jane.doe@example.com", "sharedWithAccount": false }'{ "result": { "data": { "userContact": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Jane Doe", "email": "jane.doe@example.com", "sharedWithAccount": true, "subscriptionUserGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7" } }, "statusCode": 200, "message": "OK" }, "origin": "PUT https://api.doctavian.com/v1/common/user/contact/{userContactId}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "8b5a7b676b4146525209ccfce785d1e5", "userId": "558bcc0b-a484-45fb-8aec-9fb98172095c"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "userContactId must be a GUID.", "userMessage": "userContactId must be a GUID." } ], "message": "One or more validation errors occurred.", "statusCode": 400 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "be83cf0eab139ea36b7fd3e01dd989ab", "origin": "PUT https://api.doctavian.com/v1/common/user/contact/{userContactId}/update", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 401 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "4c06cba4cae81610a641176a5daa85ee", "origin": "PUT https://api.doctavian.com/v1/common/user/contact/{userContactId}/update", "userId": "1ea517d4-e003-42c4-a81a-d47de45c6eb3"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 403 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "ed523749afb98644f2c6597c0ac56106", "origin": "PUT https://api.doctavian.com/v1/common/user/contact/{userContactId}/update", "userId": "3390dd6a-4442-448c-88d5-23263027d1c1"}{ "error": { "innerErrors": [ { "code": "FUNCTION_EXECUTION_ERROR", "message": "An unexpected error occurred while processing the request.", "userMessage": "Something went wrong. Please contact support." } ], "message": "An unexpected error occurred while processing the request.", "statusCode": 500 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "3a8129d90679f86a3eab35d4858bb10e", "origin": "PUT https://api.doctavian.com/v1/common/user/contact/{userContactId}/update", "userId": "0eb144df-90e9-4db8-8aed-a50c4ef9f931"}